Bug 896518 - 3.1.z - [vdsm] ConnectStoragePool fail with 2 hosts in NFS due to stale cache
3.1.z - [vdsm] ConnectStoragePool fail with 2 hosts in NFS due to stale cache
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 All
urgent Severity urgent
: rc
: 6.3
Assigned To: Allon Mureinik
Daniel Paikov
storage
: Regression, ZStream
Depends On: 879253 884318
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-17 08:33 EST by Chris Pelland
Modified: 2013-02-24 19:46 EST (History)
17 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-1.2.el6
Doc Type: Bug Fix
Doc Text:
The domain cache is now cleared when connecting to storage pools, which picks up changes that have been introduced by additional hosts. An sdCache.refresh call has been reinstated in connectStoragePool to effect this change, and invalidateStorage has been added to StoragePool.refresh in order to force an iscsi rescan.
Story Points: ---
Clone Of: 884318
Environment:
Last Closed: 2013-02-12 08:54:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Daniel Paikov 2013-01-24 08:25:44 EST
Checked on vdsm-4.10.2-1.2.el6.x86_64

Note You need to log in before you can comment on or make changes to this bug.